%global enable_tests 1

Name:       nodejs-temp
Version:    0.5.0
Release:    1%{?dist}
Summary:    Temporary files and directories for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/bruce/node-temp
Source0:    http://registry.npmjs.org/temp/-/temp-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
This Node.js module handles generating a unique file/directory name under the
appropriate system temporary directory, changing the file to an appropriate
mode, and supports automatic removal.

It has a similar API to the fs module.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/temp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/temp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/temp-test.js
%endif


%files
%doc LICENSE README.md examples/
%{nodejs_sitelib}/temp


%changelog
* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- initial package
